%define	name	eatfeed
%define version 1.0
%define release %mkrel 1

Summary:	RSS/RDF Feed Reader 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/News
URL:		http://www.alunos.dcc.fc.up.pt/~c0607045/trash/eatfeed/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Patch:          desktop.patch
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	curl-devel 
BuildRequires:	libgtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libwebkitgtk1.0-devel


%description
EatFeed is a bare bones feed aggregator.

%prep
%setup -q 
%patch -p1

%build

%make

%install
rm -rf %{buildroot}
install -dm 755 %buildroot/%_bindir 
install -m 755 %{name} %buildroot/%_bindir 
install -dm 755 %buildroot/%_datadir/applications 
install -m 755 *.desktop %buildroot/%_datadir/applications 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
%update_menus


%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Aug 08 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2009
- initial build

